from numpy import *

def thorp(freq=None):
    # Underwater acoustics: calculation of the absorption coefficient
    #
    # SYNTAX: a = thorp(freq)
    # Units: [freq] = Hz, [a] = neper/m
    # 
    # Reference: 
    # Deep-ocean sound attenuation in the sub- and low-kilocycle-per-second range
    # W. H. Thorp
    # The Journal of the Acoustical Society of America 38, 648 (1965)
    
    #*******************************************************************************
    # Faro, Ter Set  7 23:48:23 WEST 2021
    # Written by Orlando Camargo Rodriguez
    #*******************************************************************************

    k = 20/log(10)*1000
    fxf = ( freq/1000.0 )**2
    a = 0.0033 + 0.11*fxf/( 1.0 + fxf ) + 44.0*fxf/( 4100.0 + fxf ) + 0.0003*fxf
    alpha = a/k
    
    return alpha
